class ExpertCommentModel {
  List<Records> records;
  int total;
  int size;
  int current;
  bool searchCount;
  int pages;

  ExpertCommentModel(
      {this.records,
      this.total,
      this.size,
      this.current,
      this.searchCount,
      this.pages});

  ExpertCommentModel.fromJson(Map<String, dynamic> json) {
    if (json['records'] != null) {
      records = new List<Records>();
      json['records'].forEach((v) {
        records.add(new Records.fromJson(v));
      });
    }
    total = json['total'];
    size = json['size'];
    current = json['current'];
    searchCount = json['searchCount'];
    pages = json['pages'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.records != null) {
      data['records'] = this.records.map((v) => v.toJson()).toList();
    }
    data['total'] = this.total;
    data['size'] = this.size;
    data['current'] = this.current;
    data['searchCount'] = this.searchCount;
    data['pages'] = this.pages;
    return data;
  }
}

class Records {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  int tech;
  int responseSpeed;
  int attitude;
  String comment;
  int expertId;
  int statuz;
  int userId;
  int lifeCaseId;
  String expertName;
  String userName;
  String userUrl;
  String mobile;
  String expression;

  Records(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.tech,
      this.responseSpeed,
      this.attitude,
      this.comment,
      this.expertId,
      this.statuz,
      this.userId,
      this.lifeCaseId,
      this.expertName,
      this.userName,
      this.userUrl,
      this.mobile,
      this.expression});

  Records.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    tech = json['tech'];
    responseSpeed = json['responseSpeed'];
    attitude = json['attitude'];
    comment = json['comment'];
    expertId = json['expertId'];
    statuz = json['statuz'];
    userId = json['userId'];
    lifeCaseId = json['lifeCaseId'];
    expertName = json['expertName'];
    userName = json['userName'];
    userUrl = json['userUrl'];
    mobile = json['mobile'];
    expression = json['expression'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['tech'] = this.tech;
    data['responseSpeed'] = this.responseSpeed;
    data['attitude'] = this.attitude;
    data['comment'] = this.comment;
    data['expertId'] = this.expertId;
    data['statuz'] = this.statuz;
    data['userId'] = this.userId;
    data['lifeCaseId'] = this.lifeCaseId;
    data['expertName'] = this.expertName;
    data['userName'] = this.userName;
    data['userUrl'] = this.userUrl;
    data['mobile'] = this.mobile;
    data['expression'] = this.expression;
    return data;
  }
}