class ShopDetailModel {
  int id;
  int createTime;
  String createBy;
  int updateTime;
  String updateBy;
  String name;
  double price;
  double discountPrice;
  int brandId;
  String descr;
  String imgs;
  String manufacturer;
  String brandName;
  String telephone;
  int favoriteNum;
  int likeNum;
  int browseNum;
  int hotFlag;
  int statuz;
  int isFavorite;
  int favoriteId;
  String contactPerson;

  ShopDetailModel(
      {this.id,
      this.createTime,
      this.createBy,
      this.updateTime,
      this.updateBy,
      this.name,
      this.price,
        this.discountPrice,
      this.brandId,
      this.descr,
      this.imgs,
      this.manufacturer,
      this.brandName,
      this.telephone,
      this.favoriteNum,
      this.likeNum,
      this.browseNum,
      this.hotFlag,
      this.statuz,
      this.isFavorite,
      this.favoriteId,
      this.contactPerson});

  ShopDetailModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createTime = json['createTime'];
    createBy = json['createBy'];
    updateTime = json['updateTime'];
    updateBy = json['updateBy'];
    name = json['name'];
    price = json['price'];
    discountPrice = json['discountPrice'];
    brandId = json['brandId'];
    descr = json['descr'];
    imgs = json['imgs'];
    manufacturer = json['manufacturer'];
    telephone = json['telephone'];
    favoriteNum = json['favoriteNum'];
    likeNum = json['likeNum'];
    browseNum = json['browseNum'];
    hotFlag = json['hotFlag'];
    statuz = json['statuz'];
    isFavorite = json['isFavorite'];
    favoriteId = json['favoriteId'];
    brandName = json['brandName'];
    contactPerson = json['contactPerson'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createTime'] = this.createTime;
    data['createBy'] = this.createBy;
    data['updateTime'] = this.updateTime;
    data['updateBy'] = this.updateBy;
    data['name'] = this.name;
    data['price'] = this.price;
    data['brandId'] = this.brandId;
    data['descr'] = this.descr;
    data['imgs'] = this.imgs;
    data['manufacturer'] = this.manufacturer;
    data['telephone'] = this.telephone;
    data['favoriteNum'] = this.favoriteNum;
    data['likeNum'] = this.likeNum;
    data['browseNum'] = this.browseNum;
    data['hotFlag'] = this.hotFlag;
    data['statuz'] = this.statuz;
    data['isFavorite'] = this.isFavorite;
    data['favoriteId'] = this.favoriteId;
    data['brandName'] = this.brandName;
    data['contactPerson'] = this.contactPerson;
    return data;
  }
}
