class ShareModel {
  String userId;
  String lowerUserId;
  int id;
  int userLevel;
  String mobile;
  double rebate;
  double price;
  Null lowerUserInfoList;
  int lowerLevel;
  double rebateAll;

  ShareModel(
      {this.userId,
      this.lowerUserId,
      this.id,
      this.userLevel,
      this.mobile,
      this.rebate,
      this.price,
      this.lowerUserInfoList,
      this.lowerLevel,
      this.rebateAll});

  ShareModel.fromJson(Map<String, dynamic> json) {
    userId = json['userId'];
    lowerUserId = json['lowerUserId'];
    id = json['id'];
    userLevel = json['userLevel'];
    mobile = json['mobile'];
    rebate = json['rebate'];
    price = json['price'];
    lowerUserInfoList = json['lowerUserInfoList'];
    lowerLevel = json['lowerLevel'];
    rebateAll = json['rebateAll'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['userId'] = this.userId;
    data['lowerUserId'] = this.lowerUserId;
    data['id'] = this.id;
    data['userLevel'] = this.userLevel;
    data['mobile'] = this.mobile;
    data['rebate'] = this.rebate;
    data['price'] = this.price;
    data['lowerUserInfoList'] = this.lowerUserInfoList;
    data['lowerLevel'] = this.lowerLevel;
    data['rebateAll'] = this.rebateAll;
    return data;
  }
}
