
import 'package:fluro/fluro.dart';
import 'package:liftmanager/internal/search/page/search_brand.dart';
import 'package:liftmanager/internal/search/page/search_page.dart';
import 'package:liftmanager/routers/router_init.dart';

class SearchRouter implements IRouterProvider{

  static String searchPage = "/search";
  static String searchIndex= "/search/index";
  static String searchBrand= "/search/brand";

  @override
  void initRouter(FluroRouter router) {
    router.define(searchPage, handler: Handler(handlerFunc: (_, params) => SearchPage()));
    router.define(searchBrand, handler: Handler(handlerFunc: (_, params) => SearchBrand()));
    
  }
}
