class MockData {
  static const Map<String,dynamic> yearly_confirm = {
    "data":true,"statusCode":"1","message":"ok"
  };
  static const List maintenance_options =
    [
      {
        "id": "1209384825601978370",
        "mtCompanyId": "2",
        "item": "维保项2",
        "content": "维保项内容2",
        "type": 1,
        "liftType": 1,
        "sort": 1,
        "status": 2,
        "signage": null
      },
      {
        "id": "1209387860721987585",
        "mtCompanyId": "2",
        "item": "维保项3",
        "content": "维保项内容3",
        "type": 1,
        "liftType": 1,
        "sort": 1,
        "status": 2,
        "signage": null
      }
    ];
  static const Map<String,dynamic> maintenance_record_info = {
    "workDate": "2016-07-09",
    "type": "1",
    "projectName": "水晶郦都二期",
    "devicePosition": "xxxxx路",
  };
  static const Map<String,dynamic> maintenance_list = {
    "pageNum": 1,
    "pageCount": 2,
    "total": 13,
    "pageSize": 10,
    "hasNext": true,
    "hasPrev": false,
    "rows": [
      {
        "projectName": "黄陂农商行",
        "planId": "1001108145696",
        "recordId": "1001109100679",
        "liftId": "1001105100667",
        "coordinate": "114.375134,30.881101",
        "registrationCode": "30104201162001083062  ",
        "useCompanyCode": "lallalala",
        "liftType": 1,
        "workerName": "任佳辉",
        "planDate": "2016-07-26",
        "maintenanceType": "1",
        "status": "4"
      }
    ]
  };
  static const Map<String,dynamic> repair_stop = {
    "data":true,"statusCode":"1","message":"急修中的才能停梯"
  };
  static const Map<String,dynamic> repair_arrive = {
    "data":true,"statusCode":"1","message":"急修中的才能到达"
  };
  static const Map<String,dynamic> repair_taking = {
    "data":true,"statusCode":"1","message":"待急修的才能接单"
  };
  static const Map<String, dynamic> repair_list = {
      "pageNum": 1,
      "pageCount": 495,
      "total": 4950,
      "pageSize": 10,
      "hasNext": true,
      "hasPrev": false,
      "rows": [
        {
          "id": "1001111100001",
          "mtCompanyId": "1001102100000",
          "liftId": "1001105100002",
          "isTrapped": 1,
          "isCritical": 0,
          "callerFaultDescription": "门关不上",
          "source": 1,
          "callerId": null,
          "callerTel": null,
          "callerDate": "2016-06-28 23:42:16",
          "stopDate": "",
          "recoveryDate": "",
          "sparepart": "无",
          "charge": "无",
          "workerFaultDescription": "门关不上",
          "fieldDescription": "门关不上",
          "repairProcedure": "很顺利，有异物卡住了",
          "workerId": "1001101100005",
          "workerTel": "13545213172",
          "position": "邱志文人工急修测试",
          "status": 4,
          "creatorId": "1001101100005",
          "createDate": "2016-06-28 23:42:16",
          "repairReason": 0,
          "partsCost": null,
          "safetyConfirm": null,
          "readTime": null,
          "workerId1": "1001101100005",
          "wlFloor": null,
          "wlLiftdoor": null,
          "wlFault": null,
          "wlFaultReason": null,
          "wlFaultHandle": null,
          "wlRunDirection": null,
          "costTotal": null,
          "projectId": null,
          "areaName": null,
          "projectName": null,
          "registrationCode": null,
          "devicePosition": null,
          "callName": null,
          "workerName": "邱志文",
          "createName": null,
          "liftCompanyStatus": null,
          "repairDiff": 193,
          "repairDuration": "0秒"
        }
      ]
  };
  static const Map<String, dynamic> yearly_list = {
    "pageNum": 1,
    "pageCount": 2,
    "total": 15,
    "pageSize": 10,
    "hasNext": true,
    "hasPrev": false,
    "rows": [
      {
        "id": "1001112100640",
        "liftId": "1001105100717",
        "mtCompanyId": "1001102100000",
        "planDate": "2016-07-01 08:00:00",
        "isCheckGoverner": false,
        "loadInspectionSetting": false,
        "finishTime": "",
        "certificateImgUrl": "",
        "inspector": "",
        "telephone": "",
        "operator": "",
        "creatorId": "1001101100004",
        "createDate": "2016-07-04 23:53:39",
        "status": 0,
        "nextInspectionTime": "",
        "selfcheckReportImg": "",
        "selfcheckDate": "",
        "checkResultImg": "",
        "checkDate": "",
        "annualInspectionImg": "",
        "stepStatus": 0,
        "stepName": 0,
        "areaName": "区域2",
        "projectName": "水晶郦都二期",
        "registrationCode": "",
        "liftCode": "",
        "devicePosition": "",
        "workerName": "罗小东",
        "directorName": "邱志文"
      } ,
      {
        "id": "1001112100640",
        "liftId": "1001105100717",
        "mtCompanyId": "1001102100000",
        "planDate": "2016-07-01 08:00:00",
        "isCheckGoverner": false,
        "loadInspectionSetting": false,
        "finishTime": "",
        "certificateImgUrl": "",
        "inspector": "",
        "telephone": "",
        "operator": "",
        "creatorId": "1001101100004",
        "createDate": "2016-07-04 23:53:39",
        "status": 1,
        "nextInspectionTime": "",
        "selfcheckReportImg": "",
        "selfcheckDate": "",
        "checkResultImg": "",
        "checkDate": "",
        "annualInspectionImg": "",
        "stepStatus": 0,
        "stepName": 0,
        "areaName": "区域2",
        "projectName": "水晶郦都二期",
        "registrationCode": "",
        "liftCode": "",
        "devicePosition": "",
        "workerName": "罗小东",
        "directorName": "邱志文"
      },
      {
        "id": "1001112100640",
        "liftId": "1001105100717",
        "mtCompanyId": "1001102100000",
        "planDate": "2016-07-01 08:00:00",
        "isCheckGoverner": false,
        "loadInspectionSetting": false,
        "finishTime": "",
        "certificateImgUrl": "",
        "inspector": "",
        "telephone": "",
        "operator": "",
        "creatorId": "1001101100004",
        "createDate": "2016-07-04 23:53:39",
        "status": 2,
        "nextInspectionTime": "",
        "selfcheckReportImg": "",
        "selfcheckDate": "",
        "checkResultImg": "",
        "checkDate": "",
        "annualInspectionImg": "",
        "stepStatus": 0,
        "stepName": 0,
        "areaName": "区域2",
        "projectName": "水晶郦都二期",
        "registrationCode": "",
        "liftCode": "",
        "devicePosition": "",
        "workerName": "罗小东",
        "directorName": "邱志文"
      }
    ]
  };
}
